Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io.diff
Class SVNSequenceLineRAData

    java.lang.Object
      org.tmatesoft.svn.core.io.diff.SVNSequenceLineRAData

All Implemented Interfaces:
  de.regnis.q.sequence.line.QSequenceLineRAData

Deprecated. see `SVNDeltaGenerator`

public class SVNSequenceLineRAData
extends Object
implements de.regnis.q.sequence.line.QSequenceLineRAData

The SVNSequenceLineRAData class is an adapter for ISVNRAData objects, so that they could be used with de.regnis.q.sequence.line classes. This adapter is used by the SVNSequenceDeltaGenerator class.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNSequenceDeltaGenerator`, `ISVNRAData`

Constructor Summary
`SVNSequenceLineRAData(ISVNRAData myData)` Deprecated. Creates an adapter for an ISVNRAData object.

Method Summary
`void` | `get(byte[] bytes, long offset, long length)` Deprecated. Reads a number of bytes from the specified offset in the data storage to the buffer provided.
`long` | `length()` Deprecated. Returns the length of the data represented by this object.
`InputStream` | `read(long offset, long length)` Deprecated. Reads a number of bytes from the specified offset in the data and returns an input sream to get the read bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNSequenceLineRAData

    public SVNSequenceLineRAData(ISVNRAData myData)

  Deprecated.
  Creates an adapter for an ISVNRAData object.

Parameters:
  `myData` - a JavaSVN random access storage representation object

Method Detail

### length

    public long length()
                throws IOException

  Deprecated.
  Returns the length of the data represented by this object.

  Specified by:
    `length` in interface `de.regnis.q.sequence.line.QSequenceLineRAData`
  Returns:
    the length of the data in bytes
  Throws:
    `IOException` - if an i/o error occurred

### get

    public void get(byte[] bytes,
                    long offset,
                    long length)
             throws IOException

  Deprecated.
  Reads a number of bytes from the specified offset in the data storage to the buffer provided.

  Specified by:
    `get` in interface `de.regnis.q.sequence.line.QSequenceLineRAData`
  Parameters:
    `bytes` - a buffer to get the bytes
    `offset` - an offset in the data storage represented by this object
    `length` - a number of bytes to read
  Throws:
    `IOException` - if an i/o error occurred

### read

    public InputStream read(long offset,
                            long length)
                     throws IOException

  Deprecated.
  Reads a number of bytes from the specified offset in the data and returns an input sream to get the read bytes.

  Specified by:
    `read` in interface `de.regnis.q.sequence.line.QSequenceLineRAData`
  Parameters:
    `offset` - an offset in the data storage represented by this object
    `length` - a number of bytes to read
  Returns:
    an input stream to get the read bytes
  Throws:
    `IOException` - if an i/o error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.